// You should not make any modifications to this class!


/**
 * Issued by several methods in the <CODE>Stack</CODE> class to indicate 
 * that the Stack currently contains no values.
 * 
 * @see Stack 
 **/
public class EmptyStackException extends RuntimeException {

    /**
     * Creates a new <CODE>EmptyStackException</CODE> with no error
     * message.
     **/
    public EmptyStackException() {
        super();
    }

    
    /**
     * Creates a new <CODE>EmptyStackException</CODE> with the specified 
     * error message.
     *
     * @param message the detail message
     **/
    public EmptyStackException(String message) {
        super(message);
    }
}
