/*******************************************************************************
Author:                Steven Huss-Lederman

Course:                CS367, Spring 2000, Sections 3 & 4

Compiler:            CodeWarrior (JDK 1.2)
Platform:            Unix (Solaris)
*******************************************************************************/

import java.io.*;

/**
 * Class CWHelp
 * It has methods to help with using CodeWarrior, esp. under Unix
 *
 * Bugs: none known
 **/
public class CWHelp {

    /**
     * Method to keep output window around until user hits return.
     * In the Unix version of CodeWarrior the output window goes right away.
     **/
    static void keepWindow() {
         // The Unix version of CodeWarrior has the output window disappear as 
         // soon as the application finished.  To avoid this problem, add code 
         // to wait for some input.  We are working on a nicer solution to 
         // this problem.
         System.out.println("");
         System.out.println(
         "***Hit return to remove this window and end program");
         System.out.println("  Twice under windows!!");
         try {
             System.in.read( );
         } catch (java.io.IOException e) { }
    }
}

