/*******************************************************************************
Title:            Binary Search Trees
Files:            BSTNode.java, BST.java, Entry.java, AddressBook.java, ItemNotFoundException.java

Author:           Data Fok, data@cs.wisc.edu
Collaborators:    n/a

Due Date:         Wednesday, April 25, 2001
Completion Date:  4-27-2001

Course:           CS 367, Spring 2001, Section <section>
Assignment:       Programming Assignment 4

Editor:           CodeWarrior
Compiler:         CodeWarrior (JDK 1.2)
Platform:         Unix (Solaris)
*******************************************************************************/
/**
 * Issued by the <CODE>change</CODE> and <CODE>remove</CODE> methods in the 
 * <CODE>AddressBook</CODE> class to indicate that the item was not found.
 * 
 * @see AddressBook 
 **/
public class ItemNotFoundException extends Exception {

    /**
     * Creates a new <CODE>ItemNotFoundException</CODE> with no error
     * message.
     **/
    public ItemNotFoundException() {
        super();
    }

    
    /**
     * Creates a new <CODE>ItemNotFoundException</CODE> with the specified 
     * error message.
     *
     * @param message the detail message
     **/
    public ItemNotFoundException(String message) {
        super(message);
    }
}