/**
 * The driver class for the MazeSolver class.  It gives an example 
 * of how you should be able to use your MazeSolver class.  You can modify 
 * this as you wish.  You will not be handing in this file.
 **/


public class MazeSolverDriver {

	public static void main(String args[]) {
		
		
		MazeSolver mazeSolver = new MazeSolver("maze1.txt");
		mazeSolver.printMaze();
		mazeSolver.printPath();
		mazeSolver.solve();
		mazeSolver.printMaze();
		mazeSolver.printPath();
		mazeSolver.printPath();  // second call to printPath works correctly
		
		mazeSolver.setMaze("maze1.txt");
		mazeSolver.printMaze();
		mazeSolver.solve();
		mazeSolver.printMaze();
		mazeSolver.printPath();
		
		mazeSolver.setMaze("maze2.txt"); 
		mazeSolver.printMaze();
		mazeSolver.solve();
		mazeSolver.printMaze();
		mazeSolver.printPath();
		
		mazeSolver.setMaze("maze3.txt");
		mazeSolver.printMaze();
		mazeSolver.solve();
		mazeSolver.printMaze();
		mazeSolver.printPath();
		
		
		mazeSolver.setMaze("maze1.txt");
		mazeSolver.printMaze();
		mazeSolver.solve();
		mazeSolver.printMaze();
		mazeSolver.printPath();
		
		
		CWHelp.keepWindow();
		
		/*
		Stack mystack = new Stack();
		try{
			
			mystack.push("fok");
			mystack.push("fok1");
			mystack.push("fok2");
			mystack.push("fok3");
			mystack.push("fok4");
			mystack.push("fok5");
			
			System.out.println( mystack.pop() );
			System.out.println( mystack.peek() );
			System.out.println( mystack.pop() );
			System.out.println( mystack.pop() );
			System.out.println( mystack.pop() );
			System.out.println( mystack.pop() );
			System.out.println( mystack.pop() );
			System.out.println( mystack.peek() );
								
		}
		catch(EmptyStackException ex) {
			System.out.println("The stack is empty");
		}
		CWHelp.keepWindow();
		*/
		
		
		
		
	}
}



