// You should not make any modifications to this class!

/**
 * Issued by the <CODE>insert</CODE> method in the <CODE>Dictionary</CODE> 
 * interface and the <CODE>add</CODE> method in the <CODE>AddressBook</CODE>
 * class to indicate that the item is already present in the list.
 * 
 * @see Dictionary
 * @see AddressBook
 **/
public class DuplicateException extends Exception {

    /**
     * Creates a new <CODE>DuplicateException</CODE> with no error
     * message.
     **/
    public DuplicateException() {
        super();
    }

    
    /**
     * Creates a new <CODE>DuplicateException</CODE> with the specified 
     * error message.
     *
     * @param message the detail message
     **/
    public DuplicateException(String message) {
        super(message);
    }
}
