/*******************************************************************************
Title:            Binary Search Trees
Files:            BSTNode.java, BST.java, Entry.java, AddressBook.java

Author:           Data Fok, data@cs.wisc.edu
Collaborators:    n/a

Due Date:         Wednesday, April 25, 2001
Completion Date:  4-27-2001

Course:           CS 367, Spring 2001, Section <section>
Assignment:       Programming Assignment 4

Editor:           CodeWarrior
Compiler:         CodeWarrior (JDK 1.2)
Platform:         Unix (Solaris)
*******************************************************************************/
class Entry implements Comparable {
	
	private String name, email; //name and email of each entry
	
	//constructors
	public Entry(String n, String e) {
		name = n;
		email = e;
	}
	
	public Entry() {
		this(null, null);
	}
	
	public void setEmail( String e) {
		email = e;
	}
	
	public int compareTo( Object obj ) {
		Entry other = (Entry) obj; //ClassCastExecption if obj is not an Entry
		return name.compareToIgnoreCase(other.name);
	}
	
	public String toString() {
		 return name + " -- " + email;
	}
}
		
	
		
	